# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Load.pm) perl(Getopt/Long.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Path/Tiny.pm) perl(String/CamelSnakeKebab.pm) perl(Syntax/Keyword/Junction.pm) perl(Test/Compile.pm)
# END SourceDeps(oneline)
%define module_name MooX-Commander
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Build command line apps with subcommands and option parsing
Group: Development/Perl
License: perl
URL: https://github.com/kablamo/MooX-Commander

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KABLAMO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
MooX::Commander makes it easy to add commands and option parsing to your
command line application a la git.  

This module instantiates the command class requested by the user and calls the
`go()' method on the object.  `@ARGV' is passed to the command class
and saved in the `argv' attribute.

If a user passes in no args or `--help' or `-h' the `help' command class is 
instantiated and the `usage()' method is called on that object.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/M*

%changelog
* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

